PETSc version 3.15.5
Fix/Edit manual page

# PetscSpaceSumGetConcatenate

Get the concatenate flag for this space. A concatenated sum space will have number of components equal to the sum of the number of components of all subspaces.A non-concatenated, or direct sum space will have the same number of components as its subspaces .

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceSumGetConcatenate(PetscSpace sp,PetscBool *concatenate)

### Input Parameters

. sp - the function space object

### Output Parameters

. concatenate - flag indicating whether subspaces are concatenated.

### See Also

PetscSpaceSumSetConcatenate()

### Level

intermediate

### Location

src/dm/dt/space/impls/sum/spacesum.c

### Implementations

PetscSpaceSumGetConcatenate_Sum in src/dm/dt/space/impls/sum/spacesum.c
Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages